Docs
Sign in
Forms

Submit a public form

Last updated September 1, 2026

post/v1/forms/{type}

Request

Path Parameters

NameTypeRequiredDescription
type"support" | "sales" | "feedback" | "feature_request"Required

Required

Content type application/json

View JSON schema
{
  "oneOf": [
    {
      "type": "object",
      "additionalProperties": false,
      "required": [
        "clientSubmissionId",
        "payload",
        "requesterEmail",
        "requesterName",
        "startedAt"
      ],
      "properties": {
        "attachments": {
          "type": "array",
          "maxItems": 5,
          "items": {
            "type": "object",
            "additionalProperties": false,
            "oneOf": [
              {
                "properties": {
                  "mediaType": {
                    "type": "string",
                    "enum": [
                      "image/gif",
                      "image/jpeg",
                      "image/png",
                      "image/webp"
                    ]
                  },
                  "sizeBytes": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 10485760
                  }
                }
              },
              {
                "properties": {
                  "mediaType": {
                    "type": "string",
                    "enum": [
                      "video/mp4",
                      "video/quicktime",
                      "video/webm"
                    ]
                  },
                  "sizeBytes": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 104857600
                  }
                }
              }
            ],
            "required": [
              "clientAttachmentId",
              "fileName",
              "mediaType",
              "sizeBytes"
            ],
            "properties": {
              "clientAttachmentId": {
                "type": "string",
                "format": "uuid"
              },
              "fileName": {
                "type": "string",
                "minLength": 1,
                "maxLength": 255
              },
              "mediaType": {
                "type": "string",
                "enum": [
                  "image/gif",
                  "image/jpeg",
                  "image/png",
                  "image/webp",
                  "video/mp4",
                  "video/quicktime",
                  "video/webm"
                ]
              },
              "sizeBytes": {
                "type": "integer",
                "minimum": 1,
                "maximum": 104857600
              }
            }
          }
        },
        "clientSubmissionId": {
          "type": "string",
          "format": "uuid"
        },
        "context": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "referrer": {
              "type": "string",
              "maxLength": 2048
            },
            "sourceUrl": {
              "type": "string",
              "maxLength": 2048
            },
            "utmCampaign": {
              "type": "string",
              "maxLength": 255
            },
            "utmContent": {
              "type": "string",
              "maxLength": 255
            },
            "utmMedium": {
              "type": "string",
              "maxLength": 255
            },
            "utmSource": {
              "type": "string",
              "maxLength": 255
            },
            "utmTerm": {
              "type": "string",
              "maxLength": 255
            }
          }
        },
        "payload": {
          "type": "object",
          "additionalProperties": false,
          "required": [
            "message",
            "subject"
          ],
          "properties": {
            "message": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64000
            },
            "subject": {
              "type": "string",
              "minLength": 1,
              "maxLength": 160
            }
          }
        },
        "requesterEmail": {
          "type": "string",
          "format": "email",
          "maxLength": 255
        },
        "requesterName": {
          "type": "string",
          "minLength": 1,
          "maxLength": 255
        },
        "startedAt": {
          "type": "string",
          "format": "date-time"
        },
        "website": {
          "type": "string",
          "maxLength": 255
        }
      }
    },
    {
      "type": "object",
      "additionalProperties": false,
      "required": [
        "clientSubmissionId",
        "payload",
        "requesterEmail",
        "requesterName",
        "startedAt"
      ],
      "properties": {
        "attachments": {
          "type": "array",
          "maxItems": 5,
          "items": {
            "type": "object",
            "additionalProperties": false,
            "oneOf": [
              {
                "properties": {
                  "mediaType": {
                    "type": "string",
                    "enum": [
                      "image/gif",
                      "image/jpeg",
                      "image/png",
                      "image/webp"
                    ]
                  },
                  "sizeBytes": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 10485760
                  }
                }
              },
              {
                "properties": {
                  "mediaType": {
                    "type": "string",
                    "enum": [
                      "video/mp4",
                      "video/quicktime",
                      "video/webm"
                    ]
                  },
                  "sizeBytes": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 104857600
                  }
                }
              }
            ],
            "required": [
              "clientAttachmentId",
              "fileName",
              "mediaType",
              "sizeBytes"
            ],
            "properties": {
              "clientAttachmentId": {
                "type": "string",
                "format": "uuid"
              },
              "fileName": {
                "type": "string",
                "minLength": 1,
                "maxLength": 255
              },
              "mediaType": {
                "type": "string",
                "enum": [
                  "image/gif",
                  "image/jpeg",
                  "image/png",
                  "image/webp",
                  "video/mp4",
                  "video/quicktime",
                  "video/webm"
                ]
              },
              "sizeBytes": {
                "type": "integer",
                "minimum": 1,
                "maximum": 104857600
              }
            }
          }
        },
        "clientSubmissionId": {
          "type": "string",
          "format": "uuid"
        },
        "context": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "referrer": {
              "type": "string",
              "maxLength": 2048
            },
            "sourceUrl": {
              "type": "string",
              "maxLength": 2048
            },
            "utmCampaign": {
              "type": "string",
              "maxLength": 255
            },
            "utmContent": {
              "type": "string",
              "maxLength": 255
            },
            "utmMedium": {
              "type": "string",
              "maxLength": 255
            },
            "utmSource": {
              "type": "string",
              "maxLength": 255
            },
            "utmTerm": {
              "type": "string",
              "maxLength": 255
            }
          }
        },
        "payload": {
          "type": "object",
          "additionalProperties": false,
          "required": [
            "companyName",
            "companySize",
            "message",
            "role"
          ],
          "properties": {
            "companyName": {
              "type": "string",
              "minLength": 1,
              "maxLength": 255
            },
            "companySize": {
              "type": "string",
              "minLength": 1,
              "maxLength": 255
            },
            "message": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64000
            },
            "role": {
              "type": "string",
              "minLength": 1,
              "maxLength": 255
            }
          }
        },
        "requesterEmail": {
          "type": "string",
          "format": "email",
          "maxLength": 255
        },
        "requesterName": {
          "type": "string",
          "minLength": 1,
          "maxLength": 255
        },
        "startedAt": {
          "type": "string",
          "format": "date-time"
        },
        "website": {
          "type": "string",
          "maxLength": 255
        }
      }
    },
    {
      "type": "object",
      "additionalProperties": false,
      "required": [
        "clientSubmissionId",
        "payload",
        "startedAt"
      ],
      "properties": {
        "attachments": {
          "type": "array",
          "maxItems": 5,
          "items": {
            "type": "object",
            "additionalProperties": false,
            "oneOf": [
              {
                "properties": {
                  "mediaType": {
                    "type": "string",
                    "enum": [
                      "image/gif",
                      "image/jpeg",
                      "image/png",
                      "image/webp"
                    ]
                  },
                  "sizeBytes": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 10485760
                  }
                }
              },
              {
                "properties": {
                  "mediaType": {
                    "type": "string",
                    "enum": [
                      "video/mp4",
                      "video/quicktime",
                      "video/webm"
                    ]
                  },
                  "sizeBytes": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 104857600
                  }
                }
              }
            ],
            "required": [
              "clientAttachmentId",
              "fileName",
              "mediaType",
              "sizeBytes"
            ],
            "properties": {
              "clientAttachmentId": {
                "type": "string",
                "format": "uuid"
              },
              "fileName": {
                "type": "string",
                "minLength": 1,
                "maxLength": 255
              },
              "mediaType": {
                "type": "string",
                "enum": [
                  "image/gif",
                  "image/jpeg",
                  "image/png",
                  "image/webp",
                  "video/mp4",
                  "video/quicktime",
                  "video/webm"
                ]
              },
              "sizeBytes": {
                "type": "integer",
                "minimum": 1,
                "maximum": 104857600
              }
            }
          }
        },
        "clientSubmissionId": {
          "type": "string",
          "format": "uuid"
        },
        "context": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "referrer": {
              "type": "string",
              "maxLength": 2048
            },
            "sourceUrl": {
              "type": "string",
              "maxLength": 2048
            },
            "utmCampaign": {
              "type": "string",
              "maxLength": 255
            },
            "utmContent": {
              "type": "string",
              "maxLength": 255
            },
            "utmMedium": {
              "type": "string",
              "maxLength": 255
            },
            "utmSource": {
              "type": "string",
              "maxLength": 255
            },
            "utmTerm": {
              "type": "string",
              "maxLength": 255
            }
          }
        },
        "payload": {
          "type": "object",
          "additionalProperties": false,
          "required": [
            "message",
            "rating"
          ],
          "properties": {
            "message": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64000
            },
            "rating": {
              "type": "integer",
              "minimum": 1,
              "maximum": 5
            }
          }
        },
        "requesterEmail": {
          "type": "string",
          "format": "email",
          "maxLength": 255
        },
        "startedAt": {
          "type": "string",
          "format": "date-time"
        },
        "website": {
          "type": "string",
          "maxLength": 255
        }
      }
    },
    {
      "type": "object",
      "additionalProperties": false,
      "required": [
        "clientSubmissionId",
        "payload",
        "startedAt"
      ],
      "properties": {
        "attachments": {
          "type": "array",
          "maxItems": 5,
          "items": {
            "type": "object",
            "additionalProperties": false,
            "oneOf": [
              {
                "properties": {
                  "mediaType": {
                    "type": "string",
                    "enum": [
                      "image/gif",
                      "image/jpeg",
                      "image/png",
                      "image/webp"
                    ]
                  },
                  "sizeBytes": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 10485760
                  }
                }
              },
              {
                "properties": {
                  "mediaType": {
                    "type": "string",
                    "enum": [
                      "video/mp4",
                      "video/quicktime",
                      "video/webm"
                    ]
                  },
                  "sizeBytes": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 104857600
                  }
                }
              }
            ],
            "required": [
              "clientAttachmentId",
              "fileName",
              "mediaType",
              "sizeBytes"
            ],
            "properties": {
              "clientAttachmentId": {
                "type": "string",
                "format": "uuid"
              },
              "fileName": {
                "type": "string",
                "minLength": 1,
                "maxLength": 255
              },
              "mediaType": {
                "type": "string",
                "enum": [
                  "image/gif",
                  "image/jpeg",
                  "image/png",
                  "image/webp",
                  "video/mp4",
                  "video/quicktime",
                  "video/webm"
                ]
              },
              "sizeBytes": {
                "type": "integer",
                "minimum": 1,
                "maximum": 104857600
              }
            }
          }
        },
        "clientSubmissionId": {
          "type": "string",
          "format": "uuid"
        },
        "context": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "referrer": {
              "type": "string",
              "maxLength": 2048
            },
            "sourceUrl": {
              "type": "string",
              "maxLength": 2048
            },
            "utmCampaign": {
              "type": "string",
              "maxLength": 255
            },
            "utmContent": {
              "type": "string",
              "maxLength": 255
            },
            "utmMedium": {
              "type": "string",
              "maxLength": 255
            },
            "utmSource": {
              "type": "string",
              "maxLength": 255
            },
            "utmTerm": {
              "type": "string",
              "maxLength": 255
            }
          }
        },
        "payload": {
          "type": "object",
          "additionalProperties": false,
          "required": [
            "message",
            "productArea"
          ],
          "properties": {
            "message": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64000
            },
            "productArea": {
              "type": "string",
              "minLength": 1,
              "maxLength": 255
            }
          }
        },
        "requesterEmail": {
          "type": "string",
          "format": "email",
          "maxLength": 255
        },
        "requesterName": {
          "type": "string",
          "minLength": 1,
          "maxLength": 255
        },
        "startedAt": {
          "type": "string",
          "format": "date-time"
        },
        "website": {
          "type": "string",
          "maxLength": 255
        }
      }
    }
  ]
}

Responses

201

Form ticket created, or the original result returned for an idempotent retry.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
dataobjectRequired
data.attachmentsobject[]Required
data.attachments[].attachmentIdstringRequired
data.attachments[].clientAttachmentIdstring (uuid)Required
data.attachments[].uploadobjectRequired
data.attachments[].upload.expiresAtstring (date-time)Required
data.attachments[].upload.mediaTypestringRequired
data.attachments[].upload.methodstringRequired
data.attachments[].upload.urlstring (uri)Required
data.referencestringRequired
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "data"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": true
    },
    "data": {
      "type": "object",
      "required": [
        "attachments",
        "reference"
      ],
      "properties": {
        "attachments": {
          "type": "array",
          "maxItems": 5,
          "items": {
            "type": "object",
            "required": [
              "attachmentId",
              "clientAttachmentId",
              "upload"
            ],
            "properties": {
              "attachmentId": {
                "type": "string",
                "pattern": "^sat_[1-9a-km-z]+$"
              },
              "clientAttachmentId": {
                "type": "string",
                "format": "uuid"
              },
              "upload": {
                "type": "object",
                "required": [
                  "expiresAt",
                  "mediaType",
                  "method",
                  "url"
                ],
                "properties": {
                  "expiresAt": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "mediaType": {
                    "type": "string"
                  },
                  "method": {
                    "type": "string",
                    "const": "PUT"
                  },
                  "url": {
                    "type": "string",
                    "format": "uri"
                  }
                }
              }
            }
          }
        },
        "reference": {
          "type": "string",
          "pattern": "^(?:SUP|SAL|FDB|FEA)-(?:[0-9]{6,}|[1-9A-KM-Z]{12})$"
        }
      }
    }
  }
}

400

The request payload or parameters are invalid.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
errorobjectRequired
error.code"UNAUTHORIZED" | "FORBIDDEN" | "INSTANCE_LIMIT_REACHED" | "PLAN_LIMIT_REACHED" | "PLAN_REQUIRED" | "INVALID_ORIGIN" | "INVALID_REGION" | "INVALID_PAYLOAD" | "NOT_FOUND" | "CONFLICT" | "KEY_LIMIT_REACHED" | "PAYLOAD_TOO_LARGE" | "RATE_LIMITED" | "SERVICE_UNAVAILABLE" | "INTERNAL_ERROR"Required
error.messagestringRequired
error.detailsunknownOptionalOptional structured error details.
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "error"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": false
    },
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "UNAUTHORIZED",
            "FORBIDDEN",
            "INSTANCE_LIMIT_REACHED",
            "PLAN_LIMIT_REACHED",
            "PLAN_REQUIRED",
            "INVALID_ORIGIN",
            "INVALID_REGION",
            "INVALID_PAYLOAD",
            "NOT_FOUND",
            "CONFLICT",
            "KEY_LIMIT_REACHED",
            "PAYLOAD_TOO_LARGE",
            "RATE_LIMITED",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR"
          ]
        },
        "message": {
          "type": "string"
        },
        "details": {
          "description": "Optional structured error details."
        }
      }
    }
  }
}

401

Authentication is missing, invalid, or expired.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
errorobjectRequired
error.code"UNAUTHORIZED" | "FORBIDDEN" | "INSTANCE_LIMIT_REACHED" | "PLAN_LIMIT_REACHED" | "PLAN_REQUIRED" | "INVALID_ORIGIN" | "INVALID_REGION" | "INVALID_PAYLOAD" | "NOT_FOUND" | "CONFLICT" | "KEY_LIMIT_REACHED" | "PAYLOAD_TOO_LARGE" | "RATE_LIMITED" | "SERVICE_UNAVAILABLE" | "INTERNAL_ERROR"Required
error.messagestringRequired
error.detailsunknownOptionalOptional structured error details.
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "error"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": false
    },
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "UNAUTHORIZED",
            "FORBIDDEN",
            "INSTANCE_LIMIT_REACHED",
            "PLAN_LIMIT_REACHED",
            "PLAN_REQUIRED",
            "INVALID_ORIGIN",
            "INVALID_REGION",
            "INVALID_PAYLOAD",
            "NOT_FOUND",
            "CONFLICT",
            "KEY_LIMIT_REACHED",
            "PAYLOAD_TOO_LARGE",
            "RATE_LIMITED",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR"
          ]
        },
        "message": {
          "type": "string"
        },
        "details": {
          "description": "Optional structured error details."
        }
      }
    }
  }
}

403

The authenticated principal cannot access the resource.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
errorobjectRequired
error.code"UNAUTHORIZED" | "FORBIDDEN" | "INSTANCE_LIMIT_REACHED" | "PLAN_LIMIT_REACHED" | "PLAN_REQUIRED" | "INVALID_ORIGIN" | "INVALID_REGION" | "INVALID_PAYLOAD" | "NOT_FOUND" | "CONFLICT" | "KEY_LIMIT_REACHED" | "PAYLOAD_TOO_LARGE" | "RATE_LIMITED" | "SERVICE_UNAVAILABLE" | "INTERNAL_ERROR"Required
error.messagestringRequired
error.detailsunknownOptionalOptional structured error details.
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "error"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": false
    },
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "UNAUTHORIZED",
            "FORBIDDEN",
            "INSTANCE_LIMIT_REACHED",
            "PLAN_LIMIT_REACHED",
            "PLAN_REQUIRED",
            "INVALID_ORIGIN",
            "INVALID_REGION",
            "INVALID_PAYLOAD",
            "NOT_FOUND",
            "CONFLICT",
            "KEY_LIMIT_REACHED",
            "PAYLOAD_TOO_LARGE",
            "RATE_LIMITED",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR"
          ]
        },
        "message": {
          "type": "string"
        },
        "details": {
          "description": "Optional structured error details."
        }
      }
    }
  }
}

404

The requested resource was not found.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
errorobjectRequired
error.code"UNAUTHORIZED" | "FORBIDDEN" | "INSTANCE_LIMIT_REACHED" | "PLAN_LIMIT_REACHED" | "PLAN_REQUIRED" | "INVALID_ORIGIN" | "INVALID_REGION" | "INVALID_PAYLOAD" | "NOT_FOUND" | "CONFLICT" | "KEY_LIMIT_REACHED" | "PAYLOAD_TOO_LARGE" | "RATE_LIMITED" | "SERVICE_UNAVAILABLE" | "INTERNAL_ERROR"Required
error.messagestringRequired
error.detailsunknownOptionalOptional structured error details.
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "error"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": false
    },
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "UNAUTHORIZED",
            "FORBIDDEN",
            "INSTANCE_LIMIT_REACHED",
            "PLAN_LIMIT_REACHED",
            "PLAN_REQUIRED",
            "INVALID_ORIGIN",
            "INVALID_REGION",
            "INVALID_PAYLOAD",
            "NOT_FOUND",
            "CONFLICT",
            "KEY_LIMIT_REACHED",
            "PAYLOAD_TOO_LARGE",
            "RATE_LIMITED",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR"
          ]
        },
        "message": {
          "type": "string"
        },
        "details": {
          "description": "Optional structured error details."
        }
      }
    }
  }
}

409

The request conflicts with the current resource state.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
errorobjectRequired
error.code"UNAUTHORIZED" | "FORBIDDEN" | "INSTANCE_LIMIT_REACHED" | "PLAN_LIMIT_REACHED" | "PLAN_REQUIRED" | "INVALID_ORIGIN" | "INVALID_REGION" | "INVALID_PAYLOAD" | "NOT_FOUND" | "CONFLICT" | "KEY_LIMIT_REACHED" | "PAYLOAD_TOO_LARGE" | "RATE_LIMITED" | "SERVICE_UNAVAILABLE" | "INTERNAL_ERROR"Required
error.messagestringRequired
error.detailsunknownOptionalOptional structured error details.
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "error"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": false
    },
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "UNAUTHORIZED",
            "FORBIDDEN",
            "INSTANCE_LIMIT_REACHED",
            "PLAN_LIMIT_REACHED",
            "PLAN_REQUIRED",
            "INVALID_ORIGIN",
            "INVALID_REGION",
            "INVALID_PAYLOAD",
            "NOT_FOUND",
            "CONFLICT",
            "KEY_LIMIT_REACHED",
            "PAYLOAD_TOO_LARGE",
            "RATE_LIMITED",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR"
          ]
        },
        "message": {
          "type": "string"
        },
        "details": {
          "description": "Optional structured error details."
        }
      }
    }
  }
}

413

The request body exceeds the 1 MB limit.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
errorobjectRequired
error.code"UNAUTHORIZED" | "FORBIDDEN" | "INSTANCE_LIMIT_REACHED" | "PLAN_LIMIT_REACHED" | "PLAN_REQUIRED" | "INVALID_ORIGIN" | "INVALID_REGION" | "INVALID_PAYLOAD" | "NOT_FOUND" | "CONFLICT" | "KEY_LIMIT_REACHED" | "PAYLOAD_TOO_LARGE" | "RATE_LIMITED" | "SERVICE_UNAVAILABLE" | "INTERNAL_ERROR"Required
error.messagestringRequired
error.detailsunknownOptionalOptional structured error details.
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "error"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": false
    },
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "UNAUTHORIZED",
            "FORBIDDEN",
            "INSTANCE_LIMIT_REACHED",
            "PLAN_LIMIT_REACHED",
            "PLAN_REQUIRED",
            "INVALID_ORIGIN",
            "INVALID_REGION",
            "INVALID_PAYLOAD",
            "NOT_FOUND",
            "CONFLICT",
            "KEY_LIMIT_REACHED",
            "PAYLOAD_TOO_LARGE",
            "RATE_LIMITED",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR"
          ]
        },
        "message": {
          "type": "string"
        },
        "details": {
          "description": "Optional structured error details."
        }
      }
    }
  }
}

429

The rate limit was exceeded. API key limits are set by plan tier (Starter 600/min, Pro 1500/min, Enterprise 3000/min). Check the Retry-After header before retrying.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
errorobjectRequired
error.code"UNAUTHORIZED" | "FORBIDDEN" | "INSTANCE_LIMIT_REACHED" | "PLAN_LIMIT_REACHED" | "PLAN_REQUIRED" | "INVALID_ORIGIN" | "INVALID_REGION" | "INVALID_PAYLOAD" | "NOT_FOUND" | "CONFLICT" | "KEY_LIMIT_REACHED" | "PAYLOAD_TOO_LARGE" | "RATE_LIMITED" | "SERVICE_UNAVAILABLE" | "INTERNAL_ERROR"Required
error.messagestringRequired
error.detailsunknownOptionalOptional structured error details.
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "error"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": false
    },
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "UNAUTHORIZED",
            "FORBIDDEN",
            "INSTANCE_LIMIT_REACHED",
            "PLAN_LIMIT_REACHED",
            "PLAN_REQUIRED",
            "INVALID_ORIGIN",
            "INVALID_REGION",
            "INVALID_PAYLOAD",
            "NOT_FOUND",
            "CONFLICT",
            "KEY_LIMIT_REACHED",
            "PAYLOAD_TOO_LARGE",
            "RATE_LIMITED",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR"
          ]
        },
        "message": {
          "type": "string"
        },
        "details": {
          "description": "Optional structured error details."
        }
      }
    }
  }
}

500

An unexpected internal error occurred.

Content type application/json

PropertyTypeRequiredDescription
successbooleanRequired
errorobjectRequired
error.code"UNAUTHORIZED" | "FORBIDDEN" | "INSTANCE_LIMIT_REACHED" | "PLAN_LIMIT_REACHED" | "PLAN_REQUIRED" | "INVALID_ORIGIN" | "INVALID_REGION" | "INVALID_PAYLOAD" | "NOT_FOUND" | "CONFLICT" | "KEY_LIMIT_REACHED" | "PAYLOAD_TOO_LARGE" | "RATE_LIMITED" | "SERVICE_UNAVAILABLE" | "INTERNAL_ERROR"Required
error.messagestringRequired
error.detailsunknownOptionalOptional structured error details.
View JSON schema
{
  "type": "object",
  "required": [
    "success",
    "error"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": false
    },
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "UNAUTHORIZED",
            "FORBIDDEN",
            "INSTANCE_LIMIT_REACHED",
            "PLAN_LIMIT_REACHED",
            "PLAN_REQUIRED",
            "INVALID_ORIGIN",
            "INVALID_REGION",
            "INVALID_PAYLOAD",
            "NOT_FOUND",
            "CONFLICT",
            "KEY_LIMIT_REACHED",
            "PAYLOAD_TOO_LARGE",
            "RATE_LIMITED",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR"
          ]
        },
        "message": {
          "type": "string"
        },
        "details": {
          "description": "Optional structured error details."
        }
      }
    }
  }
}